> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.simplified.com/api-reference/agents/triggers/list-triggers/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.simplified.com/_mcp/server. # Triggers · List triggers GET https://kd-agents.simplified.com/api/v1/triggers Triggers in the workspace — what runs on its own, and when. `next_run_at` and `last_run_status` answer "did it fire, and what happened". Reference: https://docs.simplified.com/api-reference/agents/triggers/list-triggers ## Authentication - `Authorization` header (required) (prefixed with ` Api-Key `) — Header authentication of the form `Api-Key ` - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Query parameters - `agent` (string, optional) — Restrict to one agent's triggers. - `kind` (enum, optional) - Allowed values: `scheduled`, `webhook`, `event`, `slack`, `whatsapp` - `status` (enum, optional) - Allowed values: `active`, `paused`, `inactive`, `completed` - `search` (string, optional) ## Response ### 200 Paginated `results` of triggers. ## Examples **Response** ```json {} ``` **SDK Code** ```python import requests url = "https://kd-agents.simplified.com/api/v1/triggers" headers = {"Authorization": "Api-Key "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://kd-agents.simplified.com/api/v1/triggers'; const options = {method: 'GET', headers: {Authorization: 'Api-Key '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://kd-agents.simplified.com/api/v1/triggers" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Api-Key ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://kd-agents.simplified.com/api/v1/triggers") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Api-Key ' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://kd-agents.simplified.com/api/v1/triggers") .header("Authorization", "Api-Key ") .asString(); ``` ```php request('GET', 'https://kd-agents.simplified.com/api/v1/triggers', [ 'headers' => [ 'Authorization' => 'Api-Key ', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://kd-agents.simplified.com/api/v1/triggers"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Api-Key "); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": "Api-Key "] let request = NSMutableURLRequest(url: NSURL(string: "https://kd-agents.simplified.com/api/v1/triggers")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```